---
updatedAt: 2026-06-05T18:53:35.000Z
agentTools:
  projectIndex: https://apidocs.klipfolio.com/llms.txt
---

# Klip Client-Instance Operations

Updates the schema of client instances of Klips.

## POST /api/1/klips/\{id}/@/update\_from\_parent

<Table align={["left","left"]}>
  <thead>
    <tr>
      <th style={{ textAlign: "left" }}>

      </th>

      <th style={{ textAlign: "left" }}>

      </th>
    </tr>
  </thead>

  <tbody>
    <tr>
      <td style={{ textAlign: "left" }}>
        Description
      </td>

      <td style={{ textAlign: "left" }}>
        Updates a specified client instance of a Klip schema by replacing it with the schema of the original Klip.
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        Permissions
      </td>

      <td style={{ textAlign: "left" }}>
        account.api  
        klip.import
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        Resource URL
      </td>

      <td style={{ textAlign: "left" }}>
        [https://app.klipfolio.com/api/1.0/klips/\{id}/@/update_from_parent](https://app.klipfolio.com/api/1.0/klips/\{id}/@/update_from_parent)
      </td>
    </tr>

    <tr>
      <td style={{ textAlign: "left" }}>
        Fields
      </td>

      <td style={{ textAlign: "left" }}>
        \{id} is the public id of the klip
      </td>
    </tr>
  </tbody>
</Table>

## Example Request

```
PUT 'https://app.klipfolio.com/api/1/klips/ec6947ab9d07fdd6b9bb41551c79fd31/@/update_from_parent'

```

## Example Response

```
{
  "meta": {
    "success": true,
    "status": 200
  },
  "data": {
    "op_requested": "update_from_parent"
  }
}
```